import { ResponsivityManager } from "../utils/responsivity-manager";
import { ListModel } from "../list";
import { Action, actionModeType } from "./action";
import { ActionContainer } from "./container";
export declare class AdaptiveActionContainer<T extends Action = Action> extends ActionContainer<T> {
    dotsItem: Action;
    protected responsivityManager: ResponsivityManager;
    minVisibleItemsCount: number;
    isResponsivenessDisabled: boolean;
    private isInitialized;
    private hideItemsGreaterN;
    private getActionsToHide;
    private updateItemMode;
    private static ContainerID;
    constructor();
    get hiddenItemsListModel(): ListModel;
    protected onSet(): void;
    protected onPush(item: T): void;
    protected getRenderedActions(): Array<T>;
    protected getAllActions(): T[];
    protected getActionMinDimension(action: Action): number;
    protected onActionVisibilityChanged(action: T): void;
    private getVisibleItemsCount;
    fit(options: {
        availableSpace: number;
        gap?: number;
    }): void;
    protected createResponsivityManager(container: HTMLDivElement): ResponsivityManager;
    initResponsivityManager(container: HTMLDivElement): void;
    resetResponsivityManager(): void;
    getRootStyle(): {
        opacity: number;
    };
    setActionsMode(mode: actionModeType): void;
    dispose(): void;
}
